Pro v2.7.3 - с упором на совместимость и исправления - доступен

Этот выпуск посвящен изменениям API Google, которые вступают в силу с 22 января 2016 года, и помогает исправить связанные с этим потенциальные проблемы.

Как всегда, настоятельно рекомендуется обновить его до последней версии. Для получения более подробной информации об этом выпуске, пожалуйста, смотрите ниже.


Дайте нам знать, что вы думаете об этом новом выпуске отправив отзыв или оставив комментарий ниже!

Если вы хотите быть в курсе последних разработок Maps Marker Pro, следуйте инструкциям @MapsMarker в твиттере (= самые последние обновления), в Facebook, Google+ или подпишитесь на новости через RSS или через RSS / электронная почта.

Мы также хотели бы пригласить вас присоединиться к нашему Партнерская программа который предлагает комиссионные до 50%. Если вы заинтересованы в том, чтобы стать торговым посредником, пожалуйста, посетите https://www.mapsmarker.com/reseller


Теперь давайте перейдем к основным моментам про v2.7.3:

расширенная поддержка ключей Google Maps API

Google изменил API Карт Google 22 июня 2016 года, требуя обязательный ключ API Google для всех сайтов, которые впервые после 22 июня 2016 года вызывают службы API Карт Google. Все подробности здесь.

Если это верно для вашего сайта / домена, вам нужно зарегистрировать бесплатный ключ API, чтобы иметь возможность продолжить использование сервисов Google на вашем сайте. v2.7.3 помогает вам проверить это и помочь вам в этом процессе - в дополнение к нашему обновленному руководству о том, как зарегистрировать ключ API Карт Google на https://mapsmarker.com/google-maps-api-key.

проверка совместимости и возможность отмены регистрации скриптов API Карт Google, добавленных сторонними темами или плагинами

Мы обнаружили, что это изменение может также привести к проблемам, если другой плагин или тема также ставит в очередь API Карт Google - в частности, если эта реализация не учитывает ваш ключ API Карт Google или не загружает все библиотеки, необходимые для Maps Marker Pro. В результате карты или поиск адресов могут больше не работать.

Поэтому, чтобы предотвратить это, мы добавили новую проверку совместимости. Если это верно для вашего сайта, вы увидите следующее уведомление администратора:

Отменить регистрацию предупреждения

Чтобы это исправить, вы можете вручную удалить дополнительные вызовы API Карт Google из стороннего плагина или тем или - как мы бы рекомендовали - включить новую опцию совместимости «Отменить регистрацию сценариев API Карт Google, поставленных в очередь сторонними организациями»:

Отменить регистрацию установления

Это вызовет функцию wp_dequeue_script () для всех вызовов API Карт Google из сторонних плагинов или тем, предотвращая их загрузку.

Другие изменения и оптимизации

  • проверка совместимости для «Page Builder by SiteOrigin» и «Yoast SEO», где специальная комбинация настроек приводит к поломке карт
  • список маркеров-searchbox теперь также поддерживает ввод, чтобы начать поиск (спасибо, Джефф!)
  • показывать индикатор загрузки при использовании поиска по списку маркеров (thx Jeff!)

Исправление ошибок

  • проверка совместимости плагина Autoptimize была прервана при обновлении плагина
  • Ссылки «улучшить карту» и «ToS» на картах слоев с помощью Google, поскольку базовые карты не были активными

известные проблемы

Функция геолокации больше не работает с Google Chrome 50+, если ваш сайт не доступен через https

В Chrome 50 Google внесла существенные изменения в поддержку геолокации своего браузера: все приложения, запрашивающие текущую позицию пользователя (не только для функции геолокации в Maps Marker Pro), могут получать текущую позицию пользователя только в том случае, если сайт настроен для безопасной доставки через https - вместо этого пользователи увидят следующее предупреждение:

геолокации ошибок-инфо

Подробнее об этом решении Google читайте на https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only, Geolocation будет по-прежнему работать на сайтах, отличных от https, если пользователи получат доступ к сайту через альтернативные браузеры, такие как Firefox, Safari или Internet Explorer, - в любом случае, вероятно, что эти браузеры также добавят подобное ограничение безопасности в будущем.

Поэтому, если вам нужен геолокационный компонент Maps Marker Pro на вашем сайте (который с v2.7 даже становится более удобным, так как вы можете сортировать список маркеров в зависимости от текущей позиции пользователя), настоятельно рекомендуется перенести ваш сайт на HTTPS. Некоторые хостеры уже предоставляют бесплатные сертификаты https от letsencrypt.org например. Для конфигураций, необходимых на вашем сайте WordPress для того, чтобы настроить его на поддержку https, пожалуйста, посмотрите учебники, такие как https://css-tricks.com/moving-to-https-on-wordpress/.

Поскольку у https больше преимуществ для вашего сайта, чем просто геолокация, снова работающая с Google Chrome 50+ (например, обеспечение целостности данных, аутентификация отправителя и конфиденциальность пользователей, а также более высокий рейтинг Google, поскольку https используется в качестве сигнала ранжирования), мы настоятельно рекомендуем переключиться ваш сайт на https, только если вы еще этого не сделали.

Обновления переводов

Благодаря множеству мотивированных авторов, этот выпуск включает в себя следующие обновленные переводы:

  • Немецкий
  • Русский спасибо Екатерине Голубиной (при поддержке Теплица Социальных Технологий - http://te-st.ru) и Вячеслав Стренадко, http://slavblog.ru

Если вы хотите внести свой вклад в перевод (новые переводчики хинди приветствуются!), Пожалуйста, посетите https://translate.mapsmarker.com/projects/lmm чтобы получить больше информации.

Обратите внимание, что переводчикам также выплачивается компенсация за их вклад - например, если перевод выполнен менее чем на 50%, переводчик получает бесплатный пакет из 25 лицензий стоимостью 249 евро в качестве компенсации за завершение перевода до 100%.

Outlook - планы на следующие выпуски

Пожалуйста, поймите, что мы не можем обещать даты выпуска новых функций. Дорожная карта Основные новые функции дают вам представление о том, куда движется Maps Marker Pro - в любом случае, мы просто хотим сохранить гибкость, чтобы добавлять оптимизации и исправления ошибок с довольно незапланированными второстепенными выпусками, полученными в основном из отзывов пользователей.

Пожалуйста, подпишитесь на этот блог (через RSS or Эл. адрес) или следуйте @MapsMarker в твиттере (= самые последние обновления), если вы хотите быть в курсе последних новостей развития.

Полный список изменений

проверка совместимости и возможность отмены регистрации скриптов API Карт Google, добавленных сторонними темами или плагинами
проверка совместимости для «Page Builder by SiteOrigin» и «Yoast SEO», где специальная комбинация настроек приводит к поломке карт
список маркеров-searchbox теперь также поддерживает ввод, чтобы начать поиск (спасибо, Джефф!)
показывать индикатор загрузки при использовании поиска по списку маркеров (thx Jeff!)
расширенная поддержка ключа Google Maps API, которая является обязательной с 22 июня 2016 года
проверка совместимости плагина Autoptimize была прервана при обновлении плагина
Ссылки «улучшить карту» и «ToS» на картах слоев с помощью Google, поскольку базовые карты не были активными
Перевод обновлений
Если вы хотите помочь с переводом, посетите веб-платформа для перевода
обновленный немецкий перевод
обновленный русский перевод благодаря Екатерине Голубиной (при поддержке Теплица Социальных Технологий - http://te-st.ru) и Вячеслав Стренадко, http://slavblog.ru

показать все доступные журналы изменений

Как скачать / обновить

Самым простым способом обновления является использование процесса обновления WordPress: войдите в систему с пользователем, обладающим правами администратора, перейдите к Dashboard / Updates, выберите плагины для обновления и нажмите кнопку «Обновить плагины». Профессиональный плагин проверяет каждые 12 часов, доступна ли новая версия. Вы также можете вручную запустить проверку обновлений, перейдя в Плагины и нажав на ссылку «Проверка обновлений вручную» рядом с «Maps Marker Pro»:

ручное обновление проверка

Если вы не видите ссылку «Проверить наличие обновлений» и используете версию ниже 1.7, обновите вручную один раз, загрузив текущий пакет с https://www.mapsmarker.com/download-pro и перезаписать существующие файлы плагинов на вашем сервере через FTP. Это может потребоваться на нескольких хостах, которые используют устаревшие библиотеки SSL, которые не позволяют Maps Marker Pro создать безопасное соединение для получения пакета обновления с mapsmarker.com. Pro v1.7 включает обходной путь для серверов такого типа, и следующие обновления должны снова работать как обычно. Если вы затронуты и нуждаетесь в помощи, пожалуйста, открыть билет поддержки.

Как проверить целостность пакета плагинов

Хеш-значение SHA-256:

A1D12D157FF68C70D00BF7718DBB75A1804610EF5D51208F10005C345D3B7C7C

Нажмите здесь, чтобы узнать, как проверить целостность пакета плагинов. (рекомендуется, если пакет плагина для новой установки не был загружен с https://www.mapsmarker.com - хотя проверка не требуется, если используется процесс автоматического обновления)

Дополнительные примечания к обновлению для бета-тестера

Если вы обновляете бета-версию, никаких дополнительных действий не требуется.

Оставить комментарий

XHTML: Вы можете использовать эти теги: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X